compact1, compact2, compact3
java.nio.file

## Interface WatchEvent.Kind<T>

- Enclosing interface:
    WatchEvent<T>

      public static interface WatchEvent.Kind<T>

  An event kind, for the purposes of identification.
  Since:
    1.7
  See Also:
    `StandardWatchEventKinds`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` Returns the name of the event kind.
    `Class<T>` | `type()` Returns the type of the `context` value.

- - ### Method Detail

    - #### name

          String name()

      Returns the name of the event kind.
      Returns:
        the name of the event kind

    - #### type

          Class<T> type()

      Returns the type of the `context` value.
      Returns:
        the type of the context value

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.